Subject: RE: bash bug report? Minor border case:
From: "linda w \(cyg\)" <[email-masked]>
To: "'Igor Pechtchanski'" <[email-masked]>
Cc: <[email-masked]>
Date: Sun, 30 Mar 2003 12:42:03 -0800

Agreed.  Perhaps the naming should be a bit more evident.
I don't reread the list purpose everytime I do a post.  Cygwin-packaging or cygwin-app-packag[e/ing] would be a bit more self-
documenting.  Nothing more intelligent that a self documenting
name. :-)
-linda

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]] On Behalf Of Igor Pechtchanski
> Sent: Sun, Mar 30, 2003 12:26p
> To: linda w (cyg)
> Cc: [email-masked]
> Subject: RE: bash bug report? Minor border case:
>
>
> Linda,
>
> I shan't delve into the intuitiveness of list naming here.  There is a
> clear description of what each list is about, and your
> message does not
> conform to the description of <cygwin-apps at cygwin dot
> com>.  To quote:
>
> cygwin-apps: a subscriber-only list for discussing packaging issues
> regarding applications that are distributed with the Cygwin
> DLL.  If you
> are maintaining or volunteering to maintain one of the
> packages that is
> distributed with the Cygwin net releases you should be
> subscribed to this
> list.  This list is intended for discussing solutions.  It is
> not (with
> one exception) for bug reports, "it would be nice", or "how
> do I" type of
> musings.  Use the main cygwin mailing list for that.
>
> The keywords in the above are "packaging issues", and "it is
> not for bug
> reports".  What you've described is not a packaging issue.
> It is a bug
> report.  Thus it belongs on the main cygwin list.
> 	Igor
>
> On Sun, 30 Mar 2003, linda w (cyg) wrote:
>
> > Is bash a cygwin app or a central part of the cygwin DLL?
> >
> > Guess bash must be part of cygwin.  I always thought it was
> > an app.  Silly me.
> >
> > -linda
> >
> > > -----Original Message-----
> > > From: Igor Pechtchanski [mailto:[email-masked]]
> > > Sent: Sat, Mar 29, 2003 5:22p
> > > To: linda w (cyg)
> > > Cc: [email-masked]; [email-masked]
> > > Subject: Re: bash bug report? Minor border case:
> > >
> > > Linda,
> > >
> > > According to
> <http://cygwin.com/lists.html#available-lists>, this is
> > > off-topic for the <[email-masked]> list.  Please remove
> > > <[email-masked]> from further replies.
> > >       Igor
> > >
> > > On Sat, 29 Mar 2003, linda w (cyg) wrote:
> > >
> > > > Valid filename created by app:
> > > > \Documents and Settings\law\My
> Documents\win\registry2\regtweaks\Kellys_XP_Tweaks\download.co
> m.com\clear\redx\c.gif-ts=-104976066&edId=3&prtnr=CNET+Network
> s,+Inc.&oid=3000-2094-10126096&ptId=3000&onId=2094&sId=4&asId=
> 10126096&pId=10126096&asType=Product
> > > >
> > > > exactly 255 characters long.
> > > >
> > > > Unfortunately, there is a bit of a 'normalization problem'.
> > > >
> > > > If one does a 'updatedb', it complains that
> "C:\\Documents and Settings\law\My
> Documents\win\registry2\regtweaks\Kellys_XP_Tweaks\download.co
> m.com\clear\redx\c.gif-ts=-104976066&edId=3&prtnr=CNET+Network
> s,+Inc.&oid=3000-2094-10126096&ptId=3000&onId=2094&sId=4&asId=
> 10126096&pId=10126096&asType=Product"
> > > >
> > > > is too long a filename (and at 258 characters, it is),
> however if
> > > > it were normalized to either cygwin (using native normalization
> > > > semantics) to either the above w/o "C:\" or just
> "/c/Doc..." then
> > > > it should work.
> > > >
> > > > Similar bug is in 'cmd.exe' (XP), but at least in
> "bash", you can
> > > > put double quotes  around the string and it will work with 'ls'.
> > > >
> > > > Not sure of the best way to address it, but believe it or not I
> > > > have 3 files with such weird names.
> > > > -linda
>
> --
> 				http://cs.nyu.edu/~pechtcha/
>       |\      _,,,---,,_		[email-masked]
> ZZZzz /,`.-'`'    -.  ;-;;,_		[email-masked]
>      |,4-  ) )-,_. ,\ (  `'-'		Igor Pechtchanski
>     '---''(_/--'  `-'\_) fL	a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!
>
> Oh, boy, virtual memory! Now I'm gonna make myself a really
> *big* RAMdisk!
>   -- /usr/games/fortune
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/